<template>
  <div class="inline-16">
    <el-popconfirm
      title="确定删除当前产品吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="danger"  :disabled="data.status==='审核'">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "id": 20220923152202,
        "content": {
            "itemids": [
              this.data.itemid
            ]
        },
      }).then(res=>{
        this.tool.showMessage(res,()=>{
          this.$emit('onSuccess')
        })
      })
    },
  }
}

</script>
